<?php get_header(); ?>
<div class="content-middle articles-wrapper">
    <?php  get_template_part('partials/rubrics-mobile'); ?>
    <div class="section-title desktop">
        <?php
        if (is_category()):      
        $category_name = get_category_name();
        $title = $category_name !== '' ? $category_name : get_the_title();
        ?>
        <h1 class="section-title__title"><?= $title ?></h1>
        <?php endif; ?>
    </div>
    <div class="articles-preview">
        <?php
        $paged = (get_query_var('paged')) ? absint(get_query_var('paged')) : 1;
        $args = array(
            'post_type' => 'post',
            'posts_per_page' => 10,
            'paged' => $paged
        );
        $query = new WP_Query($args);
        ?>
        <?php get_template_part('partials/post-list', null, ['query' => $query]);  ?>
    </div>
    <?php custom_pagination(); ?>
</div>
<?php get_footer(); ?>
